@keyframes transitionMain {
    0%{
        height: 0;
        overflow: hidden;
    }
    10%{
        height: 6.67%;
        overflow: hidden;
    }
    20%{
        height: 13.34%;
        overflow: hidden;
    }
    30%{
        height: 20.01%;
        overflow: hidden;
    }
    40%{
        height: 26.68%;
        overflow: hidden;
    }
    50%{
        height: 33.35%;
        overflow: hidden;
    }
    60%{
        height: 40.02%;
        overflow: hidden;
    }
    70%{
        height: 46.69%;
        overflow: hidden;
    }
    80%{
        height: 53.35%;
        overflow: hidden;
    }
    90%{
        height: 60.03%;
        overflow: hidden;
    }
    100%{
        height: fit-content;
        overflow: hidden;
    }
}

@keyframes transitionMainContent {
    from{
        opacity: 0;
        transform: rotateX(-10deg);
    }
    to{
        opacity: 1;
        transform: rotateX(0);
    }
}

body{
    display: flex;
    flex-direction: column;
    align-items: center;
}

main{
    animation: transitionMain .2s;
    background: rgba(0, 0, 0, .2);
    width: 90%;
    max-width: 450px;
    min-width: 30%;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 10vh 0;
    padding: 3%;
    border-top: 2px solid #eee;
    border-bottom: 2px solid #eee;
    border-radius: 10px;
}

main h1, main h2{
    animation: transitionMainContent .4s;
    color: #eee;
    text-align: center;
    padding: .3em;
}

main h1{
    font-size: 1.5rem;
}

main h2{
    font-size: 1.2rem;
}

main > p{
    animation: transitionMainContent .4s;
    color: #fff;
    text-align: center;
    line-height: 30px;
}

main > p a{
    animation: transitionMainContent .4s;
    color: #bbb;
    text-decoration: none;
}

main > p a:hover{
    color: #eee;
    text-decoration: underline;
}

/*.successPar{
    color: green !important;
}

.errorPar{
    color: red !important;
}

.successPar button{
    background: orange !important;
    color: #111 !important;
    font-family: 'Times New Roman', Times, serif;
    font-weight: 600;
}*/

.logo-link{
    animation: transitionMainContent .4s;
    width: 70%;
    display: inline-block;
}

.logo-link img{
    width: 100%;
    display: inline-block;
}

.sign-form{
    width: 100%;
    height: fit-content;
    display: flex;
    flex-direction: column;
    padding: 1em;
}

.sign-form input{
    animation: transitionMainContent .4s;
    flex-grow: 1;
    background: transparent;
    color: #ddd;
    padding: 1.2em;
    /*margin: 5px 0;*/
    border: none;
    border-bottom: 1px solid #bbb;
    border-radius: 0 0 5px 5px;
}

.sign-form label{
    background-color: hsl(0, 30%, 4%); /* matches the background colour of the body*/
    width: fit-content;
    color: #eee;
    display: inline-block;
    font-size: .8rem;
    position: relative;
    top: -0.6em;
    left: 1.5em;
    padding: .1em 1em;
}

.sign-form p{
    animation: transitionMainContent .4s;
    color: #fff;
    font-size: .8rem;
    line-height: 1.5em;
}

.sign-form .btn-v1{
    animation: transitionMainContent .4s;
    font-size: 1rem;
    border: none;
    border-radius: 3px;
    margin: 1em auto;
}

.sign-form .btn-v1 span {padding: .5em 1em;}